> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developers.awork.com/apiv1/search/get-search/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.awork.com/_mcp/server. # Performs a full-text search across workspace entities. GET https://api.awork.com/api/v1/search This endpoint enables powerful full-text search capabilities across multiple types. It returns a ranked list of matching entities based on relevance and respects user permissions.The search functionality includes:- Cross-entity search across various entity types in the workspace. - Relevance-based scoring and ranking of results. - Respecting user access permissions for all returned results. - Customizable result filtering by entity type and status.Any authenticated user. Reference: https://developers.awork.com/apiv1/search/get-search ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Query parameters - `searchTerm` (string, optional) — The term to search for. Max. 50 characters. Required. - `searchTypes` (string, optional) — Comma-separated list of types to search for, or 'all'. Supported types: task, project, user, company, comment, timeentry, timereport, file, document, tasklist, dashboardnote. - `top` (integer, optional) — Count of top results. Default: 20. Must be between 1 and the configured maximum (SearchMaximumResults). - `includeClosedAndStuck` (boolean, optional) — If true, the result will include entities where the status is closed, stuck and done. ## Response ### 200 OK - `totalCount` (long, optional) — The overall number of hits. - `maxScore` (double, optional) — The highest overall search score. - `top` (list of any, optional, nullable) — The best search matches accross all types ordered descending by their score. - `commentHits` (CommentSearchModelTypeSearchResult, optional) - `companyHits` (CompanySearchModelTypeSearchResult, optional) - `dashboardNotesHits` (DashboardNoteSearchModelTypeSearchResult, optional) - `projectHits` (ProjectSearchModelTypeSearchResult, optional) - `taskHits` (TaskSearchModelTypeSearchResult, optional) - `timeEntriesHits` (TimeEntrySearchModelTypeSearchResult, optional) - `timeReportsHits` (TimeReportSearchModelTypeSearchResult, optional) - `userHits` (UserSearchModelTypeSearchResult, optional) - `taskListHits` (TaskListSearchModelTypeSearchResult, optional) - `fileHits` (FileSearchModelTypeSearchResult, optional) - `documentHits` (DocumentSearchModelTypeSearchResult, optional) ## Errors ### 400 Bad Request Error Bad Request - `code` (string, required) — The error code. - `description` (string, required) — The description of the error. - `link` (string, required) — The link to the API documentation page. - `details` (list of string, optional, nullable) — A list of details describing the error. - `validationErrors` (list of ValidationErrorResponse, optional, nullable) — If a validation error occurred, this contains the validation errors for each property. - `traceId` (string, optional, nullable) — The request trace id for tracking the request. ### 401 Unauthorized Error Unauthorized - `code` (string, required) — The error code. - `description` (string, required) — The description of the error. - `link` (string, required) — The link to the API documentation page. - `details` (list of string, optional, nullable) — A list of details describing the error. - `validationErrors` (list of ValidationErrorResponse, optional, nullable) — If a validation error occurred, this contains the validation errors for each property. - `traceId` (string, optional, nullable) — The request trace id for tracking the request. ## Types ### CommentSearchModelTypeSearchResult - `totalCount` (long, optional) — The count of search hits for this type. - `maxScore` (double, optional) — The score of the best search hit for this type. - `hits` (list of CommentSearchModelHit, optional, nullable) — The results found by this search operation for this type. - `hasHits` (boolean, optional) — Whether there are any hits at all, computed property. ### CompanySearchModelTypeSearchResult - `totalCount` (long, optional) — The count of search hits for this type. - `maxScore` (double, optional) — The score of the best search hit for this type. - `hits` (list of CompanySearchModelHit, optional, nullable) — The results found by this search operation for this type. - `hasHits` (boolean, optional) — Whether there are any hits at all, computed property. ### DashboardNoteSearchModelTypeSearchResult - `totalCount` (long, optional) — The count of search hits for this type. - `maxScore` (double, optional) — The score of the best search hit for this type. - `hits` (list of DashboardNoteSearchModelHit, optional, nullable) — The results found by this search operation for this type. - `hasHits` (boolean, optional) — Whether there are any hits at all, computed property. ### ProjectSearchModelTypeSearchResult - `totalCount` (long, optional) — The count of search hits for this type. - `maxScore` (double, optional) — The score of the best search hit for this type. - `hits` (list of ProjectSearchModelHit, optional, nullable) — The results found by this search operation for this type. - `hasHits` (boolean, optional) — Whether there are any hits at all, computed property. ### TaskSearchModelTypeSearchResult - `totalCount` (long, optional) — The count of search hits for this type. - `maxScore` (double, optional) — The score of the best search hit for this type. - `hits` (list of TaskSearchModelHit, optional, nullable) — The results found by this search operation for this type. - `hasHits` (boolean, optional) — Whether there are any hits at all, computed property. ### TimeEntrySearchModelTypeSearchResult - `totalCount` (long, optional) — The count of search hits for this type. - `maxScore` (double, optional) — The score of the best search hit for this type. - `hits` (list of TimeEntrySearchModelHit, optional, nullable) — The results found by this search operation for this type. - `hasHits` (boolean, optional) — Whether there are any hits at all, computed property. ### TimeReportSearchModelTypeSearchResult - `totalCount` (long, optional) — The count of search hits for this type. - `maxScore` (double, optional) — The score of the best search hit for this type. - `hits` (list of TimeReportSearchModelHit, optional, nullable) — The results found by this search operation for this type. - `hasHits` (boolean, optional) — Whether there are any hits at all, computed property. ### UserSearchModelTypeSearchResult - `totalCount` (long, optional) — The count of search hits for this type. - `maxScore` (double, optional) — The score of the best search hit for this type. - `hits` (list of UserSearchModelHit, optional, nullable) — The results found by this search operation for this type. - `hasHits` (boolean, optional) — Whether there are any hits at all, computed property. ### TaskListSearchModelTypeSearchResult - `totalCount` (long, optional) — The count of search hits for this type. - `maxScore` (double, optional) — The score of the best search hit for this type. - `hits` (list of TaskListSearchModelHit, optional, nullable) — The results found by this search operation for this type. - `hasHits` (boolean, optional) — Whether there are any hits at all, computed property. ### FileSearchModelTypeSearchResult - `totalCount` (long, optional) — The count of search hits for this type. - `maxScore` (double, optional) — The score of the best search hit for this type. - `hits` (list of FileSearchModelHit, optional, nullable) — The results found by this search operation for this type. - `hasHits` (boolean, optional) — Whether there are any hits at all, computed property. ### DocumentSearchModelTypeSearchResult - `totalCount` (long, optional) — The count of search hits for this type. - `maxScore` (double, optional) — The score of the best search hit for this type. - `hits` (list of DocumentSearchModelHit, optional, nullable) — The results found by this search operation for this type. - `hasHits` (boolean, optional) — Whether there are any hits at all, computed property. ### ValidationErrorResponse The validation error response. - `property` (string, optional, nullable) — The name of the property that failed validation. - `message` (string, optional, nullable) — The reason why this property failed validation. ### CommentSearchModelHit - `type` (string, optional, nullable) — The name of the type for this search hit. - `score` (double, optional) — The score of this search hit. - `entity` (CommentSearchModel, optional) - `highlights` (map from string to list of string, optional, nullable) — The highlights of this search hit, by property. ### CompanySearchModelHit - `type` (string, optional, nullable) — The name of the type for this search hit. - `score` (double, optional) — The score of this search hit. - `entity` (CompanySearchModel, optional) - `highlights` (map from string to list of string, optional, nullable) — The highlights of this search hit, by property. ### DashboardNoteSearchModelHit - `type` (string, optional, nullable) — The name of the type for this search hit. - `score` (double, optional) — The score of this search hit. - `entity` (DashboardNoteSearchModel, optional) - `highlights` (map from string to list of string, optional, nullable) — The highlights of this search hit, by property. ### ProjectSearchModelHit - `type` (string, optional, nullable) — The name of the type for this search hit. - `score` (double, optional) — The score of this search hit. - `entity` (ProjectSearchModel, optional) - `highlights` (map from string to list of string, optional, nullable) — The highlights of this search hit, by property. ### TaskSearchModelHit - `type` (string, optional, nullable) — The name of the type for this search hit. - `score` (double, optional) — The score of this search hit. - `entity` (TaskSearchModel, optional) - `highlights` (map from string to list of string, optional, nullable) — The highlights of this search hit, by property. ### TimeEntrySearchModelHit - `type` (string, optional, nullable) — The name of the type for this search hit. - `score` (double, optional) — The score of this search hit. - `entity` (TimeEntrySearchModel, optional) - `highlights` (map from string to list of string, optional, nullable) — The highlights of this search hit, by property. ### TimeReportSearchModelHit - `type` (string, optional, nullable) — The name of the type for this search hit. - `score` (double, optional) — The score of this search hit. - `entity` (TimeReportSearchModel, optional) - `highlights` (map from string to list of string, optional, nullable) — The highlights of this search hit, by property. ### UserSearchModelHit - `type` (string, optional, nullable) — The name of the type for this search hit. - `score` (double, optional) — The score of this search hit. - `entity` (UserSearchModel, optional) - `highlights` (map from string to list of string, optional, nullable) — The highlights of this search hit, by property. ### TaskListSearchModelHit - `type` (string, optional, nullable) — The name of the type for this search hit. - `score` (double, optional) — The score of this search hit. - `entity` (TaskListSearchModel, optional) - `highlights` (map from string to list of string, optional, nullable) — The highlights of this search hit, by property. ### FileSearchModelHit - `type` (string, optional, nullable) — The name of the type for this search hit. - `score` (double, optional) — The score of this search hit. - `entity` (FileSearchModel, optional) - `highlights` (map from string to list of string, optional, nullable) — The highlights of this search hit, by property. ### DocumentSearchModelHit - `type` (string, optional, nullable) — The name of the type for this search hit. - `score` (double, optional) — The score of this search hit. - `entity` (DocumentSearchModel, optional) - `highlights` (map from string to list of string, optional, nullable) — The highlights of this search hit, by property. ### CommentSearchModel - `id` (string, optional) — The id of this entity. - `workspaceId` (string, optional) — The workspace id of this entity. - `userStats` (list of UserAccessStatistic, optional, nullable) — The current user's access stats for this entity. - `indexTime` (string, optional) — The last time this entity has been indexed. - `message` (string, optional, nullable) — The message of this comment. - `entityType` (enum, optional) — The type of the entity that this comment is attached to. - Allowed values: `tasks`, `projects`, `documents` - `entityId` (string, optional) — The id of the entity that this comment is attached to. - `project` (ProjectEntity, optional) - `task` (BaseTaskEntity, optional) - `document` (DocumentEntity, optional) - `isExternal` (boolean, optional) — Whether this comment is external. - `userId` (string, optional, nullable) — The id of the user who created this comment. - `isHiddenForConnectUsers` (boolean, optional) — Whether this comment is hidden for connect users. - `isResolved` (boolean, optional, nullable) — Whether the comment has been resolved. Only available for comments on documents. ### CompanySearchModel - `id` (string, optional) — The id of this entity. - `workspaceId` (string, optional) — The workspace id of this entity. - `userStats` (list of UserAccessStatistic, optional, nullable) — The current user's access stats for this entity. - `indexTime` (string, optional) — The last time this entity has been indexed. - `name` (string, optional, nullable) — The company name. - `industry` (string, optional, nullable) — The company's industry. Optional. - `tags` (list of string, optional, nullable) — The tags of the company. - `companyContactInfos` (list of ContactInfoEntity, optional, nullable) — The contact infos of this company. - `hasImage` (boolean, optional, nullable) — Whether the user has an image. ### DashboardNoteSearchModel - `id` (string, optional) — The id of this entity. - `workspaceId` (string, optional) — The workspace id of this entity. - `userStats` (list of UserAccessStatistic, optional, nullable) — The current user's access stats for this entity. - `indexTime` (string, optional) — The last time this entity has been indexed. - `name` (string, optional, nullable) — The name of the dashboard widget note. - `note` (string, optional, nullable) — The note of the dashboard widget note. - `userId` (string, optional) — The id of the user the dashboard note belongs to. ### ProjectSearchModel - `id` (string, optional) — The id of this entity. - `workspaceId` (string, optional) — The workspace id of this entity. - `userStats` (list of UserAccessStatistic, optional, nullable) — The current user's access stats for this entity. - `indexTime` (string, optional) — The last time this entity has been indexed. - `name` (string, optional, nullable) — The name of the Project. Required. Max allowed length: 25000 characters. - `projectKey` (string, optional, nullable) — The unique project key within the workspace (e.g., "NIKE"). Maximum 32 characters, uppercase letters, numbers, and dashes only. - `description` (string, optional, nullable) — The description of the project. Max allowed length: 25000 characters. - `projectTypeId` (string, optional, nullable) — The id of the project type of this project. - `projectStatusId` (string, optional) — The id of the project status. - `isPrivate` (boolean, optional) — Whether this is a private project only visible to members and the creator. - `isOpen` (boolean, optional) — Whether this project is not closed. - `isBillableByDefault` (boolean, optional, nullable) — Whether project times should be billable by default. - `tags` (list of string, optional, nullable) — The tags of this project. - `plannedDuration` (long, optional, nullable) — The total planned time of the project, in seconds. The time is calculated as te sum of the planned duration by all project tasks. - `dueDate` (string, optional, nullable) — The due date of the project. - `startDate` (string, optional, nullable) — The start date of the project. - `company` (CompanySearchModel, optional) - `projectType` (ProjectTypeEntity, optional) - `projectStatus` (ProjectStatusEntity, optional) - `members` (list of ProjectMemberEntity, optional, nullable) — The members of this project. - `hasImage` (boolean, optional, nullable) — Whether the project has an image. - `createdBy` (string, optional) — The id of the user that created this project. - `teams` (list of TeamEntity, optional, nullable) — The teams this project belongs to. - `isExternal` (boolean, optional) — Whether this project is external. ### TaskSearchModel - `id` (string, optional) — The id of this entity. - `workspaceId` (string, optional) — The workspace id of this entity. - `userStats` (list of UserAccessStatistic, optional, nullable) — The current user's access stats for this entity. - `indexTime` (string, optional) — The last time this entity has been indexed. - `name` (string, optional, nullable) — The name of the task. Max allowed length: 25000 characters. Required. - `taskIdentifier` (string, optional, nullable) — The full task identifier combining project key and task number (e.g., "NIKE-42"). - `description` (string, optional, nullable) — The description of the task. Max allowed length: 25000 characters. - `baseType` (string, optional, nullable) — The base type of the task. - `assignees` (list of TaskAssignmentEntity, optional, nullable) — The assignees of the task. - `tags` (list of string, optional, nullable) — The tags of this task. - `lists` (list of string, optional, nullable) — The task lists this task is in. - `isPrio` (boolean, optional, nullable) — Whether this task is marked as priority. - `isOpen` (boolean, optional) — Whether this task is open. - `plannedDuration` (integer, optional, nullable) — The expected planned workload of the task, in seconds. - `startOn` (string, optional, nullable) — The expected start date and time of the task. - `dueOn` (string, optional, nullable) — The expected due date and time of the task. - `taskStatus` (TaskStatusEntity, optional) - `typeOfWork` (TypeOfWorkEntity, optional) - `projectId` (string, optional, nullable) — The id of the project this task is part of. - `project` (ProjectEntity, optional) - `parentId` (string, optional, nullable) — The id of the parent task of this task, if this task is a subtask. - `parentTask` (ParentTaskEntity, optional) - `correlationId` (string, optional) — The correlation id of this task. - `subtaskOrder` (double, optional, nullable) — The order of this subtask in the parent task, if this task is a subtask. - `userId` (string, optional, nullable) — The user id this task belongs to in case this is a private task. - `createdBy` (string, optional) — The id of the user that created this task. - `isExternal` (boolean, optional) — Whether this task is external. - `isHiddenForConnectUsers` (boolean, optional) — Whether this task should be hidden for connected users. ### TimeEntrySearchModel - `id` (string, optional) — The id of this entity. - `workspaceId` (string, optional) — The workspace id of this entity. - `userStats` (list of UserAccessStatistic, optional, nullable) — The current user's access stats for this entity. - `indexTime` (string, optional) — The last time this entity has been indexed. - `note` (string, optional, nullable) — The note of the time tracking. - `taskId` (string, optional, nullable) — The id of the task this time entry belongs to. - `projectId` (string, optional, nullable) — The id of the project this time entry belongs to. - `project` (ProjectEntity, optional) - `userId` (string, optional, nullable) — The id of the user this time entry belongs to. - `startDateUtc` (string, optional, nullable) — The date and time (in UTC) when the time tracking was started. - `startTimeUtc` (string, optional, nullable) — The time (in UTC) when the time tracking was started. - `timezone` (string, optional, nullable) — The original timezone of the time tracking. The format of the timezone is the IANA standard. - `duration` (integer, optional, nullable) — The duration of the time tracking in seconds. Required when the time tracking has already been completed and EndTime has not been set. - `breakDuration` (integer, optional, nullable) — The duration of the break in seconds. Cannot be set via API. - `isExternal` (boolean, optional) — Whether this time entry is external. - `isBilled` (boolean, optional) — Whether this time entry is billed. ### TimeReportSearchModel - `id` (string, optional) — The id of this entity. - `workspaceId` (string, optional) — The workspace id of this entity. - `userStats` (list of UserAccessStatistic, optional, nullable) — The current user's access stats for this entity. - `indexTime` (string, optional) — The last time this entity has been indexed. - `name` (string, optional, nullable) — The name of the time report. - `shared` (boolean, optional) — Whether the time report is shared with other users. - `userId` (string, optional) — The id of the user that created the time report. ### UserSearchModel - `id` (string, optional) — The id of this entity. - `workspaceId` (string, optional) — The workspace id of this entity. - `userStats` (list of UserAccessStatistic, optional, nullable) — The current user's access stats for this entity. - `indexTime` (string, optional) — The last time this entity has been indexed. - `firstName` (string, optional, nullable) — The user's first name. - `lastName` (string, optional, nullable) — The user's last name. - `title` (string, optional, nullable) — The user's title. - `position` (string, optional, nullable) — The user's position. - `language` (string, optional, nullable) — The user's language. - `gender` (string, optional, nullable) — The user's gender. - `tags` (list of string, optional, nullable) — The tags of this user. - `teams` (list of TeamModel, optional, nullable) — The teams of this user. - `userContactInfos` (list of ContactInfoEntity, optional, nullable) — The contact infos of this user. - `hasImage` (boolean, optional, nullable) - `isDeactivated` (boolean, optional, nullable) ### TaskListSearchModel - `id` (string, optional) — The id of this entity. - `workspaceId` (string, optional) — The workspace id of this entity. - `userStats` (list of UserAccessStatistic, optional, nullable) — The current user's access stats for this entity. - `indexTime` (string, optional) — The last time this entity has been indexed. - `name` (string, optional, nullable) — The name of the task list. - `project` (ProjectEntity, optional) - `isExternal` (boolean, optional) — Whether this task list is external. ### FileSearchModel - `id` (string, optional) — The id of this entity. - `workspaceId` (string, optional) — The workspace id of this entity. - `userStats` (list of UserAccessStatistic, optional, nullable) — The current user's access stats for this entity. - `indexTime` (string, optional) — The last time this entity has been indexed. - `name` (string, optional, nullable) — The name of the file. - `createdBy` (string, optional) — The id of the user that has created the file. - `entityType` (string, optional, nullable) — The type of the entity that this file is attached to. - `entityId` (string, optional) — The id of the entity that this file is attached to. - `project` (ProjectEntity, optional) - `task` (BaseTaskEntity, optional) - `isExternal` (boolean, optional) — Whether this file is external. - `isHiddenForConnectUsers` (boolean, optional) — Whether this comment is hidden for connect users. ### DocumentSearchModel - `id` (string, optional) — The id of this entity. - `workspaceId` (string, optional) — The workspace id of this entity. - `userStats` (list of UserAccessStatistic, optional, nullable) — The current user's access stats for this entity. - `indexTime` (string, optional) — The last time this entity has been indexed. - `name` (string, optional, nullable) — The name of the document. - `content` (string, optional, nullable) — The content of the document. This is indexed for search and highlighting but not returned in search results. - `documentSpaceId` (string, optional, nullable) — The id of the document space. - `documentSpace` (DocumentSpaceEntity, optional) - `parentId` (string, optional, nullable) — The id of the document's parent document. - `emoji` (string, optional, nullable) — The emoji of the document. - `projectId` (string, optional, nullable) — The id of the project this document references. - `project` (ProjectEntity, optional) - `isPrivate` (boolean, optional) — Whether the document is private. - `isExternal` (boolean, optional) — Whether the document belongs to an external project. - `isHiddenForConnectUsers` (boolean, optional) — Whether the document is hidden for connect users. - `contributors` (list of DocumentContributorEntity, optional, nullable) — The contributors of this document. - `teams` (list of DocumentToTeamEntity, optional, nullable) — The teams this document is connected to. - `workspaceAccessLevel` (string, optional, nullable) — Determines the level of access to this document granted to all workspace users. Can be either not set (no access), `read`, or `manage`. - `inheritedWorkspaceAccessFromDocumentId` (string, optional, nullable) — The id of the document the workspace access level permission has been inherited from. - `inheritedWorkspaceAccessFromDocument` (InheritedWorkspaceAccessFromDocumentEntity, optional) - `rootDocumentCreatedBy` (string, optional) ### UserAccessStatistic - `userId` (string, optional) — The id of the user that accessed this entity. - `openCount` (integer, optional) — How many times the user accessed this entity. - `lastOpened` (long, optional, nullable) — The unix time of when the entity was last accessed by the user. ### ProjectEntity - `id` (string, optional) — The id of this project. - `name` (string, optional, nullable) — The name of the Project. Required. Max allowed length: 25000 characters. - `company` (string, optional, nullable) — The company this project is for. - `isPrivate` (boolean, optional) — Whether this is a private project only visible to members and the creator. - `isBillableByDefault` (boolean, optional, nullable) — Whether project times should be billable by default. - `projectStatus` (ProjectStatusEntity, optional) - `createdBy` (string, optional) — The id of the user that created this project. - `teams` (list of TeamEntity, optional, nullable) — The teams this project belongs to. - `members` (list of ProjectMemberEntity, optional, nullable) — The members of this project. - `isExternal` (boolean, optional) — Whether this project is external. ### BaseTaskEntity - `name` (string, optional, nullable) — The name of the task. Max allowed length: 25000 characters. Required. - `id` (string, optional) — The id of the parent task. - `userId` (string, optional, nullable) — The user id this task belongs to in case this is a private task. - `createdBy` (string, optional) — The id of the user that created this task. - `projectId` (string, optional, nullable) — The id of the project this task is part of. - `project` (ProjectEntity, optional) - `parentId` (string, optional, nullable) — The id of the parent task of this task, if this task is a subtask. - `parentTask` (ParentTaskEntity, optional) - `assignees` (list of TaskAssignmentEntity, optional, nullable) — The assignees of the task. - `baseType` (string, optional, nullable) — The base type of the task. - `taskStatus` (TaskStatusEntity, optional) - `isExternal` (boolean, optional) — Whether this task is external. - `isHiddenForConnectUsers` (boolean, optional) ### DocumentEntity - `name` (string, optional, nullable) — The name of the document. - `content` (string, optional, nullable) — The content of the document. This is indexed for search and highlighting but not returned in search results. - `documentSpaceId` (string, optional, nullable) — The id of the document space. - `documentSpace` (DocumentSpaceEntity, optional) - `parentId` (string, optional, nullable) — The id of the document's parent document. - `emoji` (string, optional, nullable) — The emoji of the document. - `projectId` (string, optional, nullable) — The id of the project this document references. - `project` (ProjectEntity, optional) - `isPrivate` (boolean, optional) — Whether the document is private. - `isExternal` (boolean, optional) — Whether the document belongs to an external project. - `isHiddenForConnectUsers` (boolean, optional) — Whether the document is hidden for connect users. - `contributors` (list of DocumentContributorEntity, optional, nullable) — The contributors of this document. - `teams` (list of DocumentToTeamEntity, optional, nullable) — The teams this document is connected to. - `workspaceAccessLevel` (string, optional, nullable) — Determines the level of access to this document granted to all workspace users. Can be either not set (no access), `read`, or `manage`. - `inheritedWorkspaceAccessFromDocumentId` (string, optional, nullable) — The id of the document the workspace access level permission has been inherited from. - `inheritedWorkspaceAccessFromDocument` (InheritedWorkspaceAccessFromDocumentEntity, optional) - `rootDocumentCreatedBy` (string, optional) — The user id of the creator of the root document of this document's document tree. ### ContactInfoEntity - `id` (string, optional) — The id of this contact info. - `value` (string, optional, nullable) — The value of the contact info. - `type` (string, optional, nullable) — The type of the contact info. Possible values are: 'phone', 'email', 'address', 'custom'. - `subType` (string, optional, nullable) — The subtype of the contact info, Possible values are: phone: [ 'central', 'other' ] email: [ 'central', 'invoice', 'other' ] address: [ 'central', 'invoice', 'other' ] url: [ 'primary', 'other'] - `isAddress` (boolean, optional) — Flags whether this contact info is an address. If it's an address, the address fields are required. - `addressLine1` (string, optional, nullable) — The first address line of the contact info. - `addressLine2` (string, optional, nullable) — The second address line of the contact info. - `zipCode` (string, optional, nullable) — The zipcode of the contact info. - `city` (string, optional, nullable) — The city of the contact info. - `state` (string, optional, nullable) — The state of the contact info. - `country` (string, optional, nullable) — The 2 letter iso code of the country. ### ProjectTypeEntity - `id` (string, optional) — The id of the type. - `name` (string, optional, nullable) — The name of the project type. - `icon` (string, optional, nullable) — The identifier of the project type icon. ### ProjectStatusEntity - `id` (string, optional) — The id of this project status. - `name` (string, optional, nullable) — The name of the project status. - `type` (string, optional, nullable) — The general type of this project status. ### ProjectMemberEntity - `id` (string, optional) — The id of this project member. - `userId` (string, optional) — The id of the user that is member of this project. - `firstName` (string, optional, nullable) — The first name of the user. - `lastName` (string, optional, nullable) — The last name of the user. - `projectRoleName` (string, optional, nullable) — The project role name of the project member. - `hasImage` (boolean, optional, nullable) — Whether the user has an image. - `projectRoleId` (string, optional) — The id of the project role. ### TeamEntity - `id` (string, optional) — The id of this team. - `name` (string, optional, nullable) — The name of the team. ### TaskAssignmentEntity - `id` (string, optional) — The assigned user's id. - `firstName` (string, optional, nullable) — The assigned user's first name. - `lastName` (string, optional, nullable) — The assigned user's last name. ### TaskStatusEntity - `name` (string, optional, nullable) — The name of the task status. - `type` (string, optional, nullable) — The general type of this task status. - `icon` (string, optional, nullable) — The icon of the task status. ### TypeOfWorkEntity - `name` (string, optional, nullable) — The name of the type of work. ### ParentTaskEntity - `name` (string, optional, nullable) — The name of the task. Max allowed length: 25000 characters. Required. - `id` (string, optional) — The id of the parent task. - `userId` (string, optional, nullable) — The user id this task belongs to in case this is a private task. - `createdBy` (string, optional) — The id of the user that created this task. - `assigneeIds` (list of string, optional, nullable) — The user ids this task is assigned to. ### TeamModel - `id` (string, optional) — The id of the team. - `name` (string, optional, nullable) — The name of the team. - `icon` (string, optional, nullable) — The icon which is assigned to the team. - `color` (string, optional, nullable) — The color of the team. ### DocumentSpaceEntity - `id` (string, optional) - `isExternal` (boolean, optional) - `name` (string, optional, nullable) - `workspaceAccessLevel` (string, optional, nullable) - `contributors` (list of ContributorEntity, optional, nullable) - `teams` (list of EntityToTeamEntity, optional, nullable) ### DocumentContributorEntity - `userId` (string, optional) - `accessLevel` (string, optional, nullable) - `documentId` (string, optional) - `inheritedFromDocumentContributorId` (string, optional, nullable) - `inheritedDocumentContributor` (InheritedDocumentContributorEntity, optional) ### DocumentToTeamEntity - `teamId` (string, optional) - `accessLevel` (string, optional, nullable) - `documentId` (string, optional) - `inheritedFromDocumentToTeamId` (string, optional, nullable) - `inheritedDocumentToTeam` (InheritedDocumentToTeamEntity, optional) ### InheritedWorkspaceAccessFromDocumentEntity - `workspaceAccessLevel` (string, optional, nullable) ### ContributorEntity - `userId` (string, optional) - `accessLevel` (string, optional, nullable) ### EntityToTeamEntity - `teamId` (string, optional) - `accessLevel` (string, optional, nullable) ### InheritedDocumentContributorEntity - `documentId` (string, optional) - `accessLevel` (string, optional, nullable) ### InheritedDocumentToTeamEntity - `documentId` (string, optional) - `accessLevel` (string, optional, nullable) ## Examples **Response** ```json { "totalCount": 15, "maxScore": 0.9, "top": [ { "entity": { "baseType": "projecttask", "name": "Website Design" }, "score": 28, "type": "task" } ], "commentHits": { "totalCount": 7, "maxScore": 1.9, "hits": [ { "type": "task", "score": 2.9, "entity": { "id": "123e4567-e89b-12d3-a456-426614174000", "workspaceId": "123e4567-e89b-12d3-a456-426614174000", "userStats": [ { "userId": "123e4567-e89b-12d3-a456-426614174000", "openCount": 12, "lastOpened": 1646119800 } ], "indexTime": "2024-01-15T09:30:00Z", "message": "The new design proposals are ready!", "entityType": "tasks", "entityId": "123e4567-e89b-12d3-a456-426614174000", "project": { "id": "123e4567-e89b-12d3-a456-426614174000", "name": "Website Design", "company": "Productivity Inc.", "isPrivate": false, "isBillableByDefault": true, "projectStatus": { "id": "123e4567-e89b-12d3-a456-426614174000", "name": "In Progress", "type": "progress" }, "createdBy": "123e4567-e89b-12d3-a456-426614174000", "teams": [ { "id": "123e4567-e89b-12d3-a456-426614174000", "name": "Design Team" } ], "members": [ { "id": "123e4567-e89b-12d3-a456-426614174000", "userId": "123e4567-e89b-12d3-a456-426614174000", "firstName": "Carla", "lastName": "Creative", "projectRoleName": "Project Manager", "hasImage": true, "projectRoleId": "123e4567-e89b-12d3-a456-426614174000" } ], "isExternal": true }, "task": { "name": "Create logo concept", "id": "123e4567-e89b-12d3-a456-426614174000", "userId": "123e4567-e89b-12d3-a456-426614174000", "createdBy": "123e4567-e89b-12d3-a456-426614174000", "projectId": "123e4567-e89b-12d3-a456-426614174000", "project": { "id": "123e4567-e89b-12d3-a456-426614174000", "name": "Website Design", "company": "Productivity Inc.", "isPrivate": false, "isBillableByDefault": true, "projectStatus": { "id": "123e4567-e89b-12d3-a456-426614174000", "name": "In Progress", "type": "progress" }, "createdBy": "123e4567-e89b-12d3-a456-426614174000", "teams": [ { "id": "123e4567-e89b-12d3-a456-426614174000", "name": "Design Team" } ], "members": [ { "id": "123e4567-e89b-12d3-a456-426614174000", "userId": "123e4567-e89b-12d3-a456-426614174000", "firstName": "Carla", "lastName": "Creative", "projectRoleName": "Project Manager", "hasImage": true, "projectRoleId": "123e4567-e89b-12d3-a456-426614174000" } ], "isExternal": true }, "parentId": "123e4567-e89b-12d3-a456-426614174000", "parentTask": { "name": "Create logo concept", "id": "123e4567-e89b-12d3-a456-426614174000", "userId": "123e4567-e89b-12d3-a456-426614174000", "createdBy": "123e4567-e89b-12d3-a456-426614174000", "assigneeIds": [ "string" ] }, "assignees": [ { "id": "123e4567-e89b-12d3-a456-426614174000", "firstName": "Carla", "lastName": "Creative" } ], "baseType": "projecttask", "taskStatus": { "name": "Concept", "type": "progress", "icon": "arrow_forward" }, "isExternal": true, "isHiddenForConnectUsers": true }, "document": { "name": "string", "content": "string", "documentSpaceId": "123e4567-e89b-12d3-a456-426614174000", "documentSpace": { "id": "123e4567-e89b-12d3-a456-426614174000", "isExternal": true, "name": "string", "workspaceAccessLevel": "string", "contributors": [ { "userId": "123e4567-e89b-12d3-a456-426614174000", "accessLevel": "string" } ], "teams": [ { "teamId": "123e4567-e89b-12d3-a456-426614174000", "accessLevel": "string" } ] }, "parentId": "123e4567-e89b-12d3-a456-426614174000", "emoji": "string", "projectId": "123e4567-e89b-12d3-a456-426614174000", "project": { "id": "123e4567-e89b-12d3-a456-426614174000", "name": "Website Design", "company": "Productivity Inc.", "isPrivate": false, "isBillableByDefault": true, "projectStatus": { "id": "123e4567-e89b-12d3-a456-426614174000", "name": "In Progress", "type": "progress" }, "createdBy": "123e4567-e89b-12d3-a456-426614174000", "teams": [ { "id": "123e4567-e89b-12d3-a456-426614174000", "name": "Design Team" } ], "members": [ { "id": "123e4567-e89b-12d3-a456-426614174000", "userId": "123e4567-e89b-12d3-a456-426614174000", "firstName": "Carla", "lastName": "Creative", "projectRoleName": "Project Manager", "hasImage": true, "projectRoleId": "123e4567-e89b-12d3-a456-426614174000" } ], "isExternal": true }, "isPrivate": true, "isExternal": true, "isHiddenForConnectUsers": true, "contributors": [ { "userId": "123e4567-e89b-12d3-a456-426614174000", "accessLevel": "string", "documentId": "123e4567-e89b-12d3-a456-426614174000", "inheritedFromDocumentContributorId": "123e4567-e89b-12d3-a456-426614174000", "inheritedDocumentContributor": { "documentId": "123e4567-e89b-12d3-a456-426614174000", "accessLevel": "string" } } ], "teams": [ { "teamId": "123e4567-e89b-12d3-a456-426614174000", "accessLevel": "string", "documentId": "123e4567-e89b-12d3-a456-426614174000", "inheritedFromDocumentToTeamId": "123e4567-e89b-12d3-a456-426614174000", "inheritedDocumentToTeam": { "documentId": "123e4567-e89b-12d3-a456-426614174000", "accessLevel": "string" } } ], "workspaceAccessLevel": "string", "inheritedWorkspaceAccessFromDocumentId": "123e4567-e89b-12d3-a456-426614174000", "inheritedWorkspaceAccessFromDocument": { "workspaceAccessLevel": "string" }, "rootDocumentCreatedBy": "123e4567-e89b-12d3-a456-426614174000" }, "isExternal": true, "userId": "123e4567-e89b-12d3-a456-426614174000", "isHiddenForConnectUsers": true, "isResolved": true }, "highlights": { "description": [ "in this creative project" ] } } ], "hasHits": true }, "companyHits": { "totalCount": 7, "maxScore": 1.9, "hits": [ { "type": "task", "score": 2.9, "entity": { "id": "123e4567-e89b-12d3-a456-426614174000", "workspaceId": "123e4567-e89b-12d3-a456-426614174000", "userStats": [ { "userId": "123e4567-e89b-12d3-a456-426614174000", "openCount": 12, "lastOpened": 1646119800 } ], "indexTime": "2024-01-15T09:30:00Z", "name": "NCNSTN Brand Design", "industry": "Brand Agency", "tags": [ "Brand Agency" ], "companyContactInfos": [ { "id": "123e4567-e89b-12d3-a456-426614174000", "value": null, "type": "address", "subType": "central", "isAddress": true, "addressLine1": "Torstrasse 140", "addressLine2": "Hof A", "zipCode": "10119", "city": "Berlin", "state": null, "country": "DE" } ], "hasImage": true }, "highlights": { "description": [ "in this creative project" ] } } ], "hasHits": true }, "dashboardNotesHits": { "totalCount": 7, "maxScore": 1.9, "hits": [ { "type": "task", "score": 2.9, "entity": { "id": "123e4567-e89b-12d3-a456-426614174000", "workspaceId": "123e4567-e89b-12d3-a456-426614174000", "userStats": [ { "userId": "123e4567-e89b-12d3-a456-426614174000", "openCount": 12, "lastOpened": 1646119800 } ], "indexTime": "2024-01-15T09:30:00Z", "name": "Reminders for today", "note": "Ask the client about the new logo.", "userId": "123e4567-e89b-12d3-a456-426614174000" }, "highlights": { "description": [ "in this creative project" ] } } ], "hasHits": true }, "projectHits": { "totalCount": 7, "maxScore": 1.9, "hits": [ { "type": "task", "score": 2.9, "entity": { "id": "123e4567-e89b-12d3-a456-426614174000", "workspaceId": "123e4567-e89b-12d3-a456-426614174000", "userStats": [ { "userId": "123e4567-e89b-12d3-a456-426614174000", "openCount": 12, "lastOpened": 1646119800 } ], "indexTime": "2024-01-15T09:30:00Z", "name": "Website Design", "projectKey": "string", "description": "Design a new website that reflects the new brand identity.", "projectTypeId": "123e4567-e89b-12d3-a456-426614174000", "projectStatusId": "123e4567-e89b-12d3-a456-426614174000", "isPrivate": false, "isOpen": true, "isBillableByDefault": true, "tags": [ "Design" ], "plannedDuration": 432000, "dueDate": "2022-05-01T00:00:00Z", "startDate": "2022-03-01T00:00:00Z", "company": { "id": "123e4567-e89b-12d3-a456-426614174000", "workspaceId": "123e4567-e89b-12d3-a456-426614174000", "userStats": [ { "userId": "123e4567-e89b-12d3-a456-426614174000", "openCount": 12, "lastOpened": 1646119800 } ], "indexTime": "2024-01-15T09:30:00Z", "name": "NCNSTN Brand Design", "industry": "Brand Agency", "tags": [ "Brand Agency" ], "companyContactInfos": [ { "id": "123e4567-e89b-12d3-a456-426614174000", "value": null, "type": "address", "subType": "central", "isAddress": true, "addressLine1": "Torstrasse 140", "addressLine2": "Hof A", "zipCode": "10119", "city": "Berlin", "state": null, "country": "DE" } ], "hasImage": true }, "projectType": { "id": "123e4567-e89b-12d3-a456-426614174000", "name": "Brand Strategy", "icon": "award" }, "projectStatus": { "id": "123e4567-e89b-12d3-a456-426614174000", "name": "In Progress", "type": "progress" }, "members": [ { "id": "123e4567-e89b-12d3-a456-426614174000", "userId": "123e4567-e89b-12d3-a456-426614174000", "firstName": "Carla", "lastName": "Creative", "projectRoleName": "Project Manager", "hasImage": true, "projectRoleId": "123e4567-e89b-12d3-a456-426614174000" } ], "hasImage": true, "createdBy": "123e4567-e89b-12d3-a456-426614174000", "teams": [ { "id": "123e4567-e89b-12d3-a456-426614174000", "name": "Design Team" } ], "isExternal": true }, "highlights": { "description": [ "in this creative project" ] } } ], "hasHits": true }, "taskHits": { "totalCount": 7, "maxScore": 1.9, "hits": [ { "type": "task", "score": 2.9, "entity": { "id": "123e4567-e89b-12d3-a456-426614174000", "workspaceId": "123e4567-e89b-12d3-a456-426614174000", "userStats": [ { "userId": "123e4567-e89b-12d3-a456-426614174000", "openCount": 12, "lastOpened": 1646119800 } ], "indexTime": "2024-01-15T09:30:00Z", "name": "Create logo concept", "taskIdentifier": "string", "description": "Logo design for the new website.", "baseType": "projecttask", "assignees": [ { "id": "123e4567-e89b-12d3-a456-426614174000", "firstName": "Carla", "lastName": "Creative" } ], "tags": [ "Design" ], "lists": [ "Preparation and Concepts" ], "isPrio": true, "isOpen": true, "plannedDuration": 21600, "startOn": "2021-03-03T17:00:00Z", "dueOn": "2021-03-18T17:00:00Z", "taskStatus": { "name": "Concept", "type": "progress", "icon": "arrow_forward" }, "typeOfWork": { "name": "Concept" }, "projectId": "123e4567-e89b-12d3-a456-426614174000", "project": { "id": "123e4567-e89b-12d3-a456-426614174000", "name": "Website Design", "company": "Productivity Inc.", "isPrivate": false, "isBillableByDefault": true, "projectStatus": { "id": "123e4567-e89b-12d3-a456-426614174000", "name": "In Progress", "type": "progress" }, "createdBy": "123e4567-e89b-12d3-a456-426614174000", "teams": [ { "id": "123e4567-e89b-12d3-a456-426614174000", "name": "Design Team" } ], "members": [ { "id": "123e4567-e89b-12d3-a456-426614174000", "userId": "123e4567-e89b-12d3-a456-426614174000", "firstName": "Carla", "lastName": "Creative", "projectRoleName": "Project Manager", "hasImage": true, "projectRoleId": "123e4567-e89b-12d3-a456-426614174000" } ], "isExternal": true }, "parentId": "123e4567-e89b-12d3-a456-426614174000", "parentTask": { "name": "Create logo concept", "id": "123e4567-e89b-12d3-a456-426614174000", "userId": "123e4567-e89b-12d3-a456-426614174000", "createdBy": "123e4567-e89b-12d3-a456-426614174000", "assigneeIds": [ "string" ] }, "correlationId": "123e4567-e89b-12d3-a456-426614174000", "subtaskOrder": null, "userId": "123e4567-e89b-12d3-a456-426614174000", "createdBy": "123e4567-e89b-12d3-a456-426614174000", "isExternal": true, "isHiddenForConnectUsers": true }, "highlights": { "description": [ "in this creative project" ] } } ], "hasHits": true }, "timeEntriesHits": { "totalCount": 7, "maxScore": 1.9, "hits": [ { "type": "task", "score": 2.9, "entity": { "id": "123e4567-e89b-12d3-a456-426614174000", "workspaceId": "123e4567-e89b-12d3-a456-426614174000", "userStats": [ { "userId": "123e4567-e89b-12d3-a456-426614174000", "openCount": 12, "lastOpened": 1646119800 } ], "indexTime": "2024-01-15T09:30:00Z", "note": "I created a first draft for the new sitemap", "taskId": "123e4567-e89b-12d3-a456-426614174000", "projectId": "123e4567-e89b-12d3-a456-426614174000", "project": { "id": "123e4567-e89b-12d3-a456-426614174000", "name": "Website Design", "company": "Productivity Inc.", "isPrivate": false, "isBillableByDefault": true, "projectStatus": { "id": "123e4567-e89b-12d3-a456-426614174000", "name": "In Progress", "type": "progress" }, "createdBy": "123e4567-e89b-12d3-a456-426614174000", "teams": [ { "id": "123e4567-e89b-12d3-a456-426614174000", "name": "Design Team" } ], "members": [ { "id": "123e4567-e89b-12d3-a456-426614174000", "userId": "123e4567-e89b-12d3-a456-426614174000", "firstName": "Carla", "lastName": "Creative", "projectRoleName": "Project Manager", "hasImage": true, "projectRoleId": "123e4567-e89b-12d3-a456-426614174000" } ], "isExternal": true }, "userId": "123e4567-e89b-12d3-a456-426614174000", "startDateUtc": "2022-03-01T00:00:00Z", "startTimeUtc": "09:21:00", "timezone": "Europe/Berlin", "duration": 8635, "breakDuration": 1, "isExternal": true, "isBilled": true }, "highlights": { "description": [ "in this creative project" ] } } ], "hasHits": true }, "timeReportsHits": { "totalCount": 7, "maxScore": 1.9, "hits": [ { "type": "task", "score": 2.9, "entity": { "id": "123e4567-e89b-12d3-a456-426614174000", "workspaceId": "123e4567-e89b-12d3-a456-426614174000", "userStats": [ { "userId": "123e4567-e89b-12d3-a456-426614174000", "openCount": 12, "lastOpened": 1646119800 } ], "indexTime": "2024-01-15T09:30:00Z", "name": "Weekly reporting", "shared": true, "userId": "123e4567-e89b-12d3-a456-426614174000" }, "highlights": { "description": [ "in this creative project" ] } } ], "hasHits": true }, "userHits": { "totalCount": 7, "maxScore": 1.9, "hits": [ { "type": "task", "score": 2.9, "entity": { "id": "123e4567-e89b-12d3-a456-426614174000", "workspaceId": "123e4567-e89b-12d3-a456-426614174000", "userStats": [ { "userId": "123e4567-e89b-12d3-a456-426614174000", "openCount": 12, "lastOpened": 1646119800 } ], "indexTime": "2024-01-15T09:30:00Z", "firstName": "Carla", "lastName": "Creative", "title": "Ms", "position": "Creative Director", "language": "de-DE", "gender": "Creative", "tags": [ "Design" ], "teams": [ { "id": "123e4567-e89b-12d3-a456-426614174000", "name": "Designers", "icon": "paintbrush", "color": "purple" } ], "userContactInfos": [ { "id": "123e4567-e89b-12d3-a456-426614174000", "value": null, "type": "address", "subType": "central", "isAddress": true, "addressLine1": "Torstrasse 140", "addressLine2": "Hof A", "zipCode": "10119", "city": "Berlin", "state": null, "country": "DE" } ], "hasImage": true, "isDeactivated": true }, "highlights": { "description": [ "in this creative project" ] } } ], "hasHits": true }, "taskListHits": { "totalCount": 7, "maxScore": 1.9, "hits": [ { "type": "task", "score": 2.9, "entity": { "id": "123e4567-e89b-12d3-a456-426614174000", "workspaceId": "123e4567-e89b-12d3-a456-426614174000", "userStats": [ { "userId": "123e4567-e89b-12d3-a456-426614174000", "openCount": 12, "lastOpened": 1646119800 } ], "indexTime": "2024-01-15T09:30:00Z", "name": "Create logo concept", "project": { "id": "123e4567-e89b-12d3-a456-426614174000", "name": "Website Design", "company": "Productivity Inc.", "isPrivate": false, "isBillableByDefault": true, "projectStatus": { "id": "123e4567-e89b-12d3-a456-426614174000", "name": "In Progress", "type": "progress" }, "createdBy": "123e4567-e89b-12d3-a456-426614174000", "teams": [ { "id": "123e4567-e89b-12d3-a456-426614174000", "name": "Design Team" } ], "members": [ { "id": "123e4567-e89b-12d3-a456-426614174000", "userId": "123e4567-e89b-12d3-a456-426614174000", "firstName": "Carla", "lastName": "Creative", "projectRoleName": "Project Manager", "hasImage": true, "projectRoleId": "123e4567-e89b-12d3-a456-426614174000" } ], "isExternal": true }, "isExternal": true }, "highlights": { "description": [ "in this creative project" ] } } ], "hasHits": true }, "fileHits": { "totalCount": 7, "maxScore": 1.9, "hits": [ { "type": "task", "score": 2.9, "entity": { "id": "123e4567-e89b-12d3-a456-426614174000", "workspaceId": "123e4567-e89b-12d3-a456-426614174000", "userStats": [ { "userId": "123e4567-e89b-12d3-a456-426614174000", "openCount": 12, "lastOpened": 1646119800 } ], "indexTime": "2024-01-15T09:30:00Z", "name": "Logo for concept.", "createdBy": "123e4567-e89b-12d3-a456-426614174000", "entityType": "string", "entityId": "123e4567-e89b-12d3-a456-426614174000", "project": { "id": "123e4567-e89b-12d3-a456-426614174000", "name": "Website Design", "company": "Productivity Inc.", "isPrivate": false, "isBillableByDefault": true, "projectStatus": { "id": "123e4567-e89b-12d3-a456-426614174000", "name": "In Progress", "type": "progress" }, "createdBy": "123e4567-e89b-12d3-a456-426614174000", "teams": [ { "id": "123e4567-e89b-12d3-a456-426614174000", "name": "Design Team" } ], "members": [ { "id": "123e4567-e89b-12d3-a456-426614174000", "userId": "123e4567-e89b-12d3-a456-426614174000", "firstName": "Carla", "lastName": "Creative", "projectRoleName": "Project Manager", "hasImage": true, "projectRoleId": "123e4567-e89b-12d3-a456-426614174000" } ], "isExternal": true }, "task": { "name": "Create logo concept", "id": "123e4567-e89b-12d3-a456-426614174000", "userId": "123e4567-e89b-12d3-a456-426614174000", "createdBy": "123e4567-e89b-12d3-a456-426614174000", "projectId": "123e4567-e89b-12d3-a456-426614174000", "project": { "id": "123e4567-e89b-12d3-a456-426614174000", "name": "Website Design", "company": "Productivity Inc.", "isPrivate": false, "isBillableByDefault": true, "projectStatus": { "id": "123e4567-e89b-12d3-a456-426614174000", "name": "In Progress", "type": "progress" }, "createdBy": "123e4567-e89b-12d3-a456-426614174000", "teams": [ { "id": "123e4567-e89b-12d3-a456-426614174000", "name": "Design Team" } ], "members": [ { "id": "123e4567-e89b-12d3-a456-426614174000", "userId": "123e4567-e89b-12d3-a456-426614174000", "firstName": "Carla", "lastName": "Creative", "projectRoleName": "Project Manager", "hasImage": true, "projectRoleId": "123e4567-e89b-12d3-a456-426614174000" } ], "isExternal": true }, "parentId": "123e4567-e89b-12d3-a456-426614174000", "parentTask": { "name": "Create logo concept", "id": "123e4567-e89b-12d3-a456-426614174000", "userId": "123e4567-e89b-12d3-a456-426614174000", "createdBy": "123e4567-e89b-12d3-a456-426614174000", "assigneeIds": [ "string" ] }, "assignees": [ { "id": "123e4567-e89b-12d3-a456-426614174000", "firstName": "Carla", "lastName": "Creative" } ], "baseType": "projecttask", "taskStatus": { "name": "Concept", "type": "progress", "icon": "arrow_forward" }, "isExternal": true, "isHiddenForConnectUsers": true }, "isExternal": true, "isHiddenForConnectUsers": true }, "highlights": { "description": [ "in this creative project" ] } } ], "hasHits": true }, "documentHits": { "totalCount": 7, "maxScore": 1.9, "hits": [ { "type": "task", "score": 2.9, "entity": { "id": "123e4567-e89b-12d3-a456-426614174000", "workspaceId": "123e4567-e89b-12d3-a456-426614174000", "userStats": [ { "userId": "123e4567-e89b-12d3-a456-426614174000", "openCount": 12, "lastOpened": 1646119800 } ], "indexTime": "2024-01-15T09:30:00Z", "name": "string", "content": "string", "documentSpaceId": "123e4567-e89b-12d3-a456-426614174000", "documentSpace": { "id": "123e4567-e89b-12d3-a456-426614174000", "isExternal": true, "name": "string", "workspaceAccessLevel": "string", "contributors": [ { "userId": "123e4567-e89b-12d3-a456-426614174000", "accessLevel": "string" } ], "teams": [ { "teamId": "123e4567-e89b-12d3-a456-426614174000", "accessLevel": "string" } ] }, "parentId": "123e4567-e89b-12d3-a456-426614174000", "emoji": "string", "projectId": "123e4567-e89b-12d3-a456-426614174000", "project": { "id": "123e4567-e89b-12d3-a456-426614174000", "name": "Website Design", "company": "Productivity Inc.", "isPrivate": false, "isBillableByDefault": true, "projectStatus": { "id": "123e4567-e89b-12d3-a456-426614174000", "name": "In Progress", "type": "progress" }, "createdBy": "123e4567-e89b-12d3-a456-426614174000", "teams": [ { "id": "123e4567-e89b-12d3-a456-426614174000", "name": "Design Team" } ], "members": [ { "id": "123e4567-e89b-12d3-a456-426614174000", "userId": "123e4567-e89b-12d3-a456-426614174000", "firstName": "Carla", "lastName": "Creative", "projectRoleName": "Project Manager", "hasImage": true, "projectRoleId": "123e4567-e89b-12d3-a456-426614174000" } ], "isExternal": true }, "isPrivate": true, "isExternal": true, "isHiddenForConnectUsers": true, "contributors": [ { "userId": "123e4567-e89b-12d3-a456-426614174000", "accessLevel": "string", "documentId": "123e4567-e89b-12d3-a456-426614174000", "inheritedFromDocumentContributorId": "123e4567-e89b-12d3-a456-426614174000", "inheritedDocumentContributor": { "documentId": "123e4567-e89b-12d3-a456-426614174000", "accessLevel": "string" } } ], "teams": [ { "teamId": "123e4567-e89b-12d3-a456-426614174000", "accessLevel": "string", "documentId": "123e4567-e89b-12d3-a456-426614174000", "inheritedFromDocumentToTeamId": "123e4567-e89b-12d3-a456-426614174000", "inheritedDocumentToTeam": { "documentId": "123e4567-e89b-12d3-a456-426614174000", "accessLevel": "string" } } ], "workspaceAccessLevel": "string", "inheritedWorkspaceAccessFromDocumentId": "123e4567-e89b-12d3-a456-426614174000", "inheritedWorkspaceAccessFromDocument": { "workspaceAccessLevel": "string" }, "rootDocumentCreatedBy": "123e4567-e89b-12d3-a456-426614174000" }, "highlights": { "description": [ "in this creative project" ] } } ], "hasHits": true } } ``` **SDK Code** ```python import requests url = "https://api.awork.com/api/v1/search" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.awork.com/api/v1/search'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.awork.com/api/v1/search" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.awork.com/api/v1/search") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.awork.com/api/v1/search") .header("Authorization", "Bearer ") .asString(); ``` ```php request('GET', 'https://api.awork.com/api/v1/search', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.awork.com/api/v1/search"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.awork.com/api/v1/search")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```